﻿'
' Copyright (c) 2011, MindFusion LLC - Bulgaria.
'

Imports MindFusion.Charting.Wpf
Imports System.Windows.Media.Effects

Class Window1
    Public Sub New()

        ' This call is required by the Windows Form Designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.

        barChart1.YAxes(0).Title = ""
        barChart1.YAxes(0).Interval = 20
        barChart1.YAxes(0).Tick = 5.0
        barChart1.XAxes(0).Title = ""
        barChart1.XAxes(0).LabelType = LabelType.Empty

        Dim series As BarSeries = New BarSeries()
        barChart1.Series.Add(series)
        series.StrokeThickness = 0
        series.YData = New DoubleCollection(New Double() {14, 35, 68, 92, -12, -7, -25, 32})
        series.XData = New DoubleCollection(New Double() {1, 2, 3, 4, 5, 6, 7, 8})
        series.Fills = New BrushCollection
        Dim eff As DropShadowEffect = New DropShadowEffect()
        eff.ShadowDepth = 3
        eff.Opacity = 0.7
        series.Effect = eff
        series.Fills.Add(New SolidColorBrush(Color.FromRgb(230, 255, 102)))
        series.Fills.Add(New SolidColorBrush(Color.FromRgb(255, 204, 102)))
        series.Fills.Add(New SolidColorBrush(Color.FromRgb(235, 156, 0)))
        series.Fills.Add(New SolidColorBrush(Color.FromRgb(255, 127, 102)))
        series.Fills.Add(New SolidColorBrush(Color.FromRgb(204, 102, 255)))
        series.Fills.Add(New SolidColorBrush(Color.FromRgb(255, 102, 230)))
        series.Fills.Add(New SolidColorBrush(Color.FromRgb(102, 255, 127)))
        series.Fills.Add(New SolidColorBrush(Color.FromRgb(127, 102, 255)))

        Dim legend As SeriesLegend = New SeriesLegend()
        legend.LabelsSource = New String() {"Hong Kong", "Jakarta", "Auckland", _
                "Berlin", "Boston", "Prague", "Sao Paolo", "Seattle"}
        legend.BrushesSource = series.Fills
        LayoutPanel.SetDock(legend, Dock.Right)
        barChart1.Legends.Add(legend)

        barChart1.GridStrokes = New List(Of Brush)
        barChart1.GridStrokes.Add(Brushes.Gray)
        barChart1.GridFills = New List(Of Brush)
        barChart1.PlotAreaStroke = Nothing
    End Sub

    Private Sub cbAllowYDrag_Checked(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles cbAllowDrag.Checked
        barChart1.Behavior = Behavior.AllowYDrag
    End Sub

    Private Sub cbAllowYDrag_Unchecked(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles cbAllowDrag.Unchecked
        barChart1.Behavior = Behavior.DoNothing
    End Sub

    Private Sub cbCurve_Checked(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs)
		barChart1.ShowCrosshair = True
    End Sub

    Private Sub cbCurve_Unchecked(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs)
		barChart1.ShowCrosshair = False
    End Sub
End Class
